<?php include "inc/debut.php";
head("index.php"); ?>

  <div id="pres">

    <p>
      Moi c'est Miraty, j'héberge divers services libres sur un serveur dédié Kimsufi (OVH) sous <a href="https://yunohost.org">YunoHost</a>.
    </p>
    <p>
      L'utilisation de ces services est régie par les <a href="cgu.php">conditions d'utilisation d'Antopie</a>.
    </p>
    <p>
      Si vous utilisez l'un de ces services, je vous invite à suivre le compte <a rel="me" href="https://miaou.drycat.fr/@Antopie">@Antopie@miaou.drycat.fr</a> par le Fédiverse ou <a href="https://miaou.drycat.fr/@Antopie.rss">par flux RSS</a> afin que vous soyez informé·e des pannes et nouveaux services.
    </p>
  </div>



  <div id="services" class="grille-services">

    <?php

$logoService = array(
  'plume' => 'plume.png',
  'peertube' => 'peertube.png',
  'gitea' => 'gitea.png',
  'libreqr' => 'qr.png',
  'bitwarden' => 'bitwarden.png',
  'nextcloud' => 'nextcloud.png',
  'synapse' => 'matrix.png',
  'riot' => 'riot.png',
  'privatebin' => 'privatebin.png',
  'jirafeau' => 'jirafeau.png',
  'rssbridge' => 'rssbridge.png',
);

$urlService = array(
  'plume' => 'blog',
  'peertube' => 'video',
  'gitea' => 'code',
  'libreqr' => 'qr',
  'bitwarden' => 'mdp',
  'nextcloud' => 'nuage',
  'synapse' => 'matrix',
  'riot' => 'riot',
  'privatebin' => 'texte',
  'jirafeau' => 'up',
  'rssbridge' => 'rss',
);

$nomService = array(
  'plume' => 'Plume',
  'peertube' => 'PeerTube',
  'gitea' => 'Gitea',
  'libreqr' => 'Générateur de codes QR',
  'bitwarden' => 'Bitwarden',
  'nextcloud' => 'Nextcloud',
  'synapse' => 'Synapse',
  'riot' => 'Riot',
  'privatebin' => 'PrivateBin',
  'jirafeau' => 'Jirafeau',
  'rssbridge' => 'RSS Bridge',
);

$infoThemeService = array(
  'plume' => 'Thème spécial sombre & rouge',
  'peertube' => 'Thème spécial rouge',
  'gitea' => 'Thème spécial sombre',
  'libreqr' => NULL,
  'bitwarden' => NULL,
  'nextcloud' => 'Thème spécial rouge',
  'synapse' => NULL,
  'riot' => NULL,
  'privatebin' => 'Thème spécial sombre & rouge',
  'jirafeau' => NULL,
  'rssbridge' => NULL,
);

$descService = array(
  'plume' => 'Créez simplement un blog qui sera accessible via le Web, le <a href="https://fr.wikipedia.org/wiki/Fediverse">Fédiverse</a> et un flux <a href="https://fr.wikipedia.org/wiki/Atom_Syndication_Format">Atom</a>.',
  'peertube' => 'Regardez ou publiez des vidéos sur le <a href="https://fr.wikipedia.org/wiki/Fediverse">Fédiverse</a> en <a href="https://fr.wikipedia.org/wiki/Pair_%C3%A0_pair">pair à pair</a>.',
  'gitea' => '<a href="https://fr.wikipedia.org/wiki/Forge_(informatique)">Forge logicielle</a> simple basée sur <a href="https://fr.wikipedia.org/wiki/Git">Git</a>.',
  'libreqr' => 'Générateur de <a href="https://fr.wikipedia.org/wiki/Code_QR">codes QR</a> ; créé par moi-même.',
  'bitwarden' => 'Générez, enregistrez et synchronisez des mots ou phrases de passe fortes.',
  'nextcloud' => 'Synchronisation de fichiers, de contacts (<a href="https://fr.wikipedia.org/wiki/CardDAV">CardDAV</a>), d’agenda (<a href="https://fr.wikipedia.org/wiki/CalDAV">CalDAV</a>), <a href="https://getcarnet.app/">Carnet</a> , et plein d’autres fonctionnalités grâce à des extension !',
  'synapse' => 'Un serveur <a href="https://fr.wikipedia.org/wiki/Matrix_(protocole)">Matrix</a>, qui est un protocole internet moderne pour la communication écrite, audio ou vidéo.',
  'riot' => 'Client Web pour <a href="https://fr.wikipedia.org/wiki/Matrix_(protocole)">Matrix</a>.',
  'privatebin' => 'Partagez des textes, codes sources ou <a href="https://fr.wikipedia.org/wiki/Markdown">Markdown</a> rapidement.',
  'jirafeau' => 'Partagez rapidement n’importe quel fichier avec n’importe qui.',
  'rssbridge' => 'Exportez les données de centaines de sites aux formats <a href="https://fr.wikipedia.org/wiki/Atom_Syndication_Format">Atom</a>, <a href="https://fr.wikipedia.org/wiki/JavaScript_Object_Notation">JSON</a>, <a href="https://fr.wikipedia.org/wiki/Hypertext_Markup_Language">HTML</a>, Mrss ou texte.',
);

$siteOfficielService = array(
  'plume' => 'joinplu.me',
  'peertube' => 'joinpeertube.org',
  'gitea' => 'gitea.io',
  'libreqr' => NULL,
  'bitwarden' => 'bitwarden.com',
  'nextcloud' => 'nextcloud.com/fr_FR',
  'synapse' => NULL,
  'riot' => 'about.riot.im',
  'privatebin' => 'privatebin.info',
  'jirafeau' => NULL,
  'rssbridge' => NULL,
);

$gitService = array(
  'plume' => 'github.com/Plume-org/Plume',
  'peertube' => 'github.com/Chocobozzz/PeerTube',
  'gitea' => 'github.com/go-gitea/gitea',
  'libreqr' => 'code.antopie.org/miraty/qr',
  'bitwarden' => 'github.com/dani-garcia/bitwarden_rs',
  'nextcloud' => 'github.com/nextcloud/server',
  'synapse' => 'github.com/matrix-org/synapse',
  'riot' => 'github.com/vector-im/riot-web',
  'privatebin' => 'github.com/PrivateBin/PrivateBin',
  'jirafeau' => 'gitlab.com/mojo42/Jirafeau',
  'rssbridge' => 'github.com/rss-bridge/rss-bridge',
);

$paquetYnhService = array(
  'plume' => 'github.com/YunoHost-Apps/plume_ynh',
  'peertube' => 'github.com/YunoHost-Apps/peertube_ynh',
  'gitea' => 'github.com/YunoHost-Apps/gitea_ynh',
  'libreqr' => 'code.antopie.org/miraty/qr_ynh',
  'bitwarden' => 'github.com/YunoHost-Apps/bitwarden_ynh',
  'nextcloud' => 'github.com/YunoHost-Apps/nextcloud_ynh',
  'synapse' => 'github.com/YunoHost-Apps/synapse_ynh',
  'riot' => 'github.com/YunoHost-Apps/riot_ynh',
  'privatebin' => 'github.com/YunoHost-Apps/zerobin_ynh',
  'jirafeau' => 'github.com/YunoHost-Apps/jirafeau_ynh',
  'rssbridge' => 'github.com/YunoHost-Apps/rss-bridge_ynh',
);

    foreach($descService as $codeService => $descService) { ?>
      <div>
        <div class="zoneLien">
          <a class="lienService" href="https://<?= $urlService[$codeService] ?>.antopie.org<?php if ($codeService == "synapse") { echo "/_matrix/static/"; } ?>">
            <div class="logoService"><img class="elLogoServ" src="img/logos/<?= $logoService[$codeService] ?>"/></div>
            <div class="titreService"><?= $nomService[$codeService] ?></div>
            <div class="urlService"><?= $urlService[$codeService] ?>.antopie.org</div>
          </a>
        </div>
        <div class="descService"><?= $descService ?></div>
        <div class="themeService"><?php if (!is_null($infoThemeService[$codeService])) { ?>· <?= $infoThemeService[$codeService] ?> ·<?php } ?></div>
        <div class="metasService">
          <?php if (!is_null($siteOfficielService[$codeService])) {
            echo '<a class="icon-home metaService" title="Site officiel de ' . $nomService[$codeService] . '" href="https://' . $siteOfficielService[$codeService] . '"></a>';
          } ?>
          <a class="icon-git metaService" title="Code source de <?= $nomService[$codeService] ?>" href="https://<?= $gitService[$codeService] ?>"></a>
          <a class="icon-ynh metaService" title="Paquet YunoHost de <?= $nomService[$codeService] ?>" href="https://<?= $paquetYnhService[$codeService] ?>"></a></div>
      </div>

    <?php } ?>

  </div>

  <br>

  <p>
    Vous trouverez également votre IP, agent utilisateur, référent HTTP et langues demandées sur <a href="navigateur.php">cette page</a>.
  </p>

  <p>
     <a href="https://retency.antopie.org/">Excluez une adresse MAC</a> du pistage publicitaire effectué par Retency. <a href="https://framagit.org/Mindiell/retency">Plus d'infos</a>
  </p>

  <address id="contact">
    N'hésitez pas à me contacter par mail : <a href="mailto:miraty+web@antopie.org"><code>miraty+web@antopie.org</code></a>, le Fédiverse : <a rel="me" href="https://social.antopie.org/miraty"><code>@miraty@social.antopie.org</code></a>, ou Matrix : <code>@miraty:matrix.antopie.org</code>.
  </address>


<?php include "inc/footer.php"; ?>
